package repository

import "be.ems/src/modules/network_data/model"

// CDR会话事件 数据层接口
type ICDREvent interface {
	// SelectPage 根据条件分页查询
	SelectPage(querys model.CDREventQuery) map[string]any

	// SelectByIds 通过ID查询
	SelectByIds(cdrIds []string) []model.CDREvent

	// DeleteByIds 批量删除信息
	DeleteByIds(cdrIds []string) int64
}
